/// <reference types="node" />
import { Agent as HttpAgent } from 'http';
import { Agent as HttpsAgent } from 'https';
export interface Settings {
    readonly provider: string;
    readonly host?: string;
    readonly port?: number | string;
    readonly sandbox?: string;
    readonly user?: string;
    readonly password?: string;
    readonly token?: string;
    readonly requestBatchSize: number;
    readonly apiVersion: number | string;
    readonly agent?: HttpAgent | HttpsAgent;
}
export declare const DEFAULT_PORT = 14265;
export declare const DEFAULT_HOST = "http://localhost";
export declare const DEFAULT_URI: string;
export declare const REQUEST_BATCH_SIZE = 1000;
export declare const API_VERSION = 1;
export declare const getSettingsWithDefaults: (settings?: Partial<Settings>) => Settings;
